package com.seer.teach.mall.shipping.jt.exception;

public class JtApiException extends RuntimeException {
    private String code;

    public JtApiException(String message) {
        super(message);
    }

    public JtApiException(ExceptionCodeEnum codeEnum) {
        super(codeEnum.getMsg());
        this.code = codeEnum.getCode();
    }

    public JtApiException(ExceptionCodeEnum codeEnum, String message) {
        super(message);
        this.code = codeEnum.getCode();
    }

    public String getCode() {
        return this.code;
    }
}
